Subject: Re: [PATCH net-next] ipv4: fix refcount leak in fib_check_nh()

From: David Ahern <[email-masked]>
Date: Sat, 15 Aug 2015 14:36:09 -0600

On 8/15/15 11:54 AM, Eric Dumazet wrote:
> From: Eric Dumazet <[email-masked]>
>
> fib_lookup() forces FIB_LOOKUP_NOREF flag, while fib_table_lookup()
> does not.
>
> This patch solves the typical message at reboot time or device
> dismantle :
>
> unregister_netdevice: waiting for eth0 to become free. Usage count = 4
>
> Fixes: 3bfd847203c6 ("net: Use passed in table for nexthop lookups")
> Signed-off-by: Eric Dumazet <[email-masked]>
> Cc: David Ahern <[email-masked]>

Still puzzled why I was not seeing the refcnt problem at reboot though I 
did see the extra dev_hold when I instrumented the hold and put. 
Anyways, thanks for resolving, Eric.

Acked-by: David Ahern <[email-masked]>